{
  cluster.modules = [
    {
      users.users.emv.extraGroups = [
        "podman"
      ];
    }
  ];
  sucrose.modules = [
    (
      {
        pkgs,
        config,
        ...
      }: {
        environment.systemPackages = [pkgs.podman-compose];
        virtualisation = {
          containers.enable = true;
          podman = {
            enable = true;
            dockerCompat = false;
            defaultNetwork.settings.dns_enabled = config.networking.hostName == "glucose"; # TODO: fix this stupid shit ssometime -e
          };
          oci-containers.backend = "podman";
        };
      }
    )
  ];
}
